<?xml version="1.0" encoding="utf-8" ?>
<!DOCTYPE mapper PUBLIC "-//mybatis.org//DTD Mapper 3.0//EN" "http://mybatis.org/dtd/mybatis-3-mapper.dtd" >
<mapper namespace="cn.qg.qaplatform.mapper.zdata.KdspMapper">
    <select id="getSelfSupportSkuNoList" resultType="java.util.Map">
        SELECT
        *
        FROM t_sku_info
        <where>
            stock > 0
            <if test="skuSource != null and skuSource != ''">
                AND `sku_source` = #{skuSource}
            </if>
            <if test="salePriceLimit != null and salePriceLimit != ''">
                AND `sale_price` &lt;= #{salePriceLimit}
            </if>
        </where>
    </select>
</mapper>